LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XColumnsSupplier Interface Referencepublished

provides the access to a container of columns, typically used for tables and indexes. More...

`import"XColumnsSupplier.idl";`

Inheritance diagram for XColumnsSupplier:

## Public Member Functions
com::sun::star::container::XNameAccess | getColumns ()
| returns the container of columns. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides the access to a container of columns, typically used for tables and indexes.

## Member Function Documentation

## ◆ getColumns()

com::sun::star::container::XNameAccess getColumns | ( |  | ) |

returns the container of columns.

Returns
  the columns

The documentation for this interface was generated from the following file:

- com/sun/star/sdbcx/XColumnsSupplier.idl